/*
 *     Copyright (C) 2015 ASIP Santé
 */
package fr.asipsante.mss.connectkit.connection;

/**
 * Signale une erreur liée au paramétrage de sécurité de connexion (SSL / accès
 * certificats)
 * 
 * @author ASIP Santé
 *
 */
@SuppressWarnings("serial")
// côté client, jamais sérialisé
public class SSLSecurityException extends Exception {

    /**
     * @param message
     * @param cause
     * @param enableSuppression
     * @param writableStackTrace
     */
    public SSLSecurityException(String message, Throwable cause,
            boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    /**
     * @param message
     * @param cause
     */
    public SSLSecurityException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param message
     */
    public SSLSecurityException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public SSLSecurityException(Throwable cause) {
        super(cause);
    }

}
